#!/usr/bin/env python3
import os
import sys
import logging


"""
Configuration variables
"""


__author__ = "@tormakris"
__copyright__ = "Copyright 2020, Birbnetes Team"
__module_name__ = "config"
__version__text__ = "1"

CLIENT_ID = os.environ.get("GUARD_CLIENT_ID", "guard-service")

SENTRY_DSN = os.environ.get("SENTRY_DSN")
RELEASE_ID = os.environ.get("RELEASE_ID", "test")
RELEASEMODE = os.environ.get("GUARD_SERVICE_RELEASEMODE", "dev")

RABBIT_HOSTNAME = os.getenv("GUARD_RABBITMQ_HOSTNAME", "localhost")
RABBIT_USERNAME = os.getenv("GUARD_RABBITMQ_USERNAME", "guard-service")
RABBIT_PASSWORD = os.getenv("GUARD_RABBITMQ_PASSWORD", "guard-service")
RABBIT_EXCHANGE = os.getenv("GUARD_RABBITMQ_EXCHANGE", "guard-service")

MQTT_HOSTNAME = os.getenv("GUARD_MQTT_HOSTNAME", "localhost")
MQTT_PORT = os.getenv("GUARD_MQTT_PORT", "1883")
MQTT_USERNAME = os.getenv("GUARD_MQTT_USERNAME", "guard-service")
MQTT_PASSWORD = os.getenv("GUARD_MQTT_PASSWORD", "guard-service")
MQTT_TOPIC = os.getenv("GUARD_MQTT_TOPIC", "guard-service")

INPUT_HOSTNAME = os.getenv("INPUT_SVC_HOSTNAME", "input-service")
INPUT_TIMEOUT = int(os.environ.get("INPUT_SVC_TIMEOUT", 5))
TRIGGER_LEVEL = float(os.environ.get("TRIGGER_LEVEL", 0.51))

LOG_LEVEL = logging.DEBUG if (
                                     '--debug' in sys.argv
                             ) or (
                                     os.environ.get('DEBUG', '0').lower() in ['yes', 'true', '1']
                             ) else logging.INFO